Skip to main content

ping

POST

Checks connectivity to the server and the response latency.Use it to measure the round-trip time between sending a request and receiving the response.
Responses
statusstring
The request processing status. Returns success when processed normally.
rolestring
The permission level of the connection that handled the request. Returned only on administrative connections.
unlimitedboolean
Whether the connection is exempt from rate limiting. Returned only when it is exempt.
codestringrequired
Code identifying the cause of the failed request.
messagestringrequired
Detailed message including the name and value of the invalid parameter.
{
"code": "ERROR_CODE",
"message": "Unauthorized"
}
cURL
curl -X POST 'https://xrpl-mainnet.nodit.io' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: nodit-demo' \
-d '{
"method": "ping",
"params": []
}'